Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.policy
Interface PrincipalClassManager

public interface PrincipalClassManager

This interface defines a manager for principal classs NOTE: This interface is for Oracle-internal use only and is subject to change without notice.

Method Summary
`boolean` | `addPrincipalClass(PrincipalClassDesc principalClassDesc)` Registers a new principal class with the system.
`PrincipalClassDesc` | `getPrincipalClass(String principalClassName)` Returns specified principal class descriptor
`Collection` | `getPrincipalClasses()` Returns all the managed principal classes.
`boolean` | `removePrincipalClass(String principalClassName, boolean cascade)` Unregisters an existing principal class from the system.

Method Detail

### getPrincipalClasses

    public Collection getPrincipalClasses()
                                   throws JAZNException

  Returns all the managed principal classes.
    `JAZNException`

### addPrincipalClass

    public boolean addPrincipalClass(PrincipalClassDesc principalClassDesc)
                              throws JAZNException

  Registers a new principal class with the system.
    `JAZNException`

### removePrincipalClass

    public boolean removePrincipalClass(String principalClassName,
                                        boolean cascade)
                                 throws JAZNException

  Unregisters an existing principal class from the system.
    `JAZNException`

### getPrincipalClass

    public PrincipalClassDesc getPrincipalClass(String principalClassName)

  Returns specified principal class descriptor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.